Bug 112418 - fdisk does not work properly with SCSI drives
fdisk does not work properly with SCSI drives
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-19 08:57 EST by Orrie Gartner
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 14:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orrie Gartner 2003-12-19 08:57:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
The fdisk utility does not show disk partitions properly nor are you
able to partition the disk (this only occurs on ia64 with scsi drives
- it does not occur with either IDE drives or under x86 and it has
been duplicated both in AS 3.0 and WS 3.0 for the ia64 architecture).

orrie@eady > df -k
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda6               507748    368219    113315  77% /
/dev/sda1               524008      8416    515592   2% /boot/efi
/dev/sda7             32349244    554052  30151920   2% /eady/scratch
/dev/sdb1             70562388   1887392  65090632   3% /home
tmpfs                  4194304       112   4194192   1% /tmp
/dev/sda4              5160576   3362340   1536092  69% /usr
/dev/sda2             20642428   3175744  16418108  17% /usr/local
/dev/sda5              3120456    113636   2848308   4% /var
orrie@eady > sudo fdisk -l /dev/sda

Disk /dev/sda: 73.4 GB, 73407865856 bytes
255 heads, 63 sectors/track, 8924 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1             1      8925  71687368+  ee  EFI GPT
/home/eady/systems/orrie                                             
          orrie@eady > sudo fdisk -l /dev/sdb

Disk /dev/sdb: 73.4 GB, 73407865856 bytes
255 heads, 63 sectors/track, 8924 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sdb1             1      8925  71687368+  ee  EFI GPT

HOWEVER, the parted program works fine:

orrie@eady > sudo parted /dev/sda
GNU Parted 1.6.3
Copyright (C) 1998, 1999, 2000, 2001, 2002 Free Software Foundation, Inc.
This program is free software, covered by the GNU General Public License.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

Using /dev/sda
(parted) p                                                                
Disk geometry for /dev/sda: 0.000-70007.196 megabytes
Disk label type: gpt
Minor    Start       End     Filesystem  Name                  Flags
1          0.017    512.016  fat16                             boot
2        512.017  20992.016  ext3                              
3      20992.017  29184.016  linux-swap                        
4      29184.017  34304.016  ext3                              
5      34304.017  37400.016  ext3                              
6      37400.017  37912.016  ext3                              
7      37912.017  70007.180  ext3                              



Version-Release number of selected component (if applicable):
util-linux-2.11y-31.1

How reproducible:
Always

Steps to Reproduce:
1. just run "fdisk -l" or "fdisk" followed by "p" for print partition
table
2.
3.
    

Actual Results:  does not display all partitions:

orrie@eady > sudo fdisk -l

Disk /dev/sda: 73.4 GB, 73407865856 bytes
255 heads, 63 sectors/track, 8924 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1             1      8925  71687368+  ee  EFI GPT

Disk /dev/sdb: 73.4 GB, 73407865856 bytes
255 heads, 63 sectors/track, 8924 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sdb1             1      8925  71687368+  ee  EFI GPT


Expected Results:  should see the partition table.  In this case, it is:

Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda6               507748    368219    113315  77% /
/dev/sda1               524008      8416    515592   2% /boot/efi
/dev/sda7             32349244    554052  30151920   2% /eady/scratch
/dev/sdb1             70562388   1887392  65090632   3% /home
tmpfs                  4194304       112   4194192   1% /tmp
/dev/sda4              5160576   3362340   1536092  69% /usr
/dev/sda2             20642428   3175744  16418108  17% /usr/local
/dev/sda5              3120456    113644   2848300   4% /var


Additional info:
Comment 1 Elliot Lee 2004-05-27 14:08:12 EDT
I believe this is an old bug that has slipped back in. I'll look into it.
Comment 2 Elliot Lee 2004-05-27 14:40:05 EDT
From what I can gather, fdisk just doesn't support GPT. If someone
sends in a patch (to myself, or to the upstream maintainer at
aeb@cwi.nl) it'd be great to change the situation, but for now, tools
such as parted/partx are recommended.

Note You need to log in before you can comment on or make changes to this bug.